Package be.ehealth.businessconnector.genericasync.service

# Interface GenAsyncService

All Known Implementing Classes:
  `GenAsyncServiceImpl`, `ServiceFactory`

public interface GenAsyncService
Interface for all Generic Async service. Factory : `ServiceFactory`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ConfirmResponse`
  `confirmRequest(SAMLToken token, Confirm request, WsAddressingHeader header)`
  Sends a Confirm request after a successful Get It only needs the SAMLtoken, no session needs to be active
  `GetResponse`
  `getRequest(SAMLToken token, Get request, WsAddressingHeader header)`
  Returns the `Responses` from the post previously sent.
  `PostResponse`
  `postRequest(SAMLToken token, Post request, WsAddressingHeader header)`
  Returns the `TAck` of the request of an operation.

- ## Method Details

  - ### postRequest

    PostResponse postRequest(SAMLToken token, Post request, WsAddressingHeader header) throws GenAsyncBusinessConnectorException
    Returns the `TAck` of the request of an operation. It only needs the SamlToken, no session needs to be active.
    Parameters:
      `request` - the request
    Returns:
      TAck the WS response
    Throws:
      `GenAsyncBusinessConnectorException`

  - ### getRequest

    GetResponse getRequest(SAMLToken token, Get request, WsAddressingHeader header) throws GenAsyncBusinessConnectorException, TechnicalConnectorException
    Returns the `Responses` from the post previously sent. It only needs the SamlToken, no session needs to be active.
    Parameters:
      `request` - the request
    Returns:
      Responses
    Throws:
      `GenAsyncBusinessConnectorException`
      `TechnicalConnectorException`

  - ### confirmRequest

    ConfirmResponse confirmRequest(SAMLToken token, Confirm request, WsAddressingHeader header) throws GenAsyncBusinessConnectorException, TechnicalConnectorException
    Sends a Confirm request after a successful Get It only needs the SAMLtoken, no session needs to be active
    Parameters:
      `request` - the request
    Returns:
      The response
    Throws:
      `GenAsyncBusinessConnectorException`
      `TechnicalConnectorException`